Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2834343005: Let IME frame update bypass ContentViewCore (Closed)

Created:
2 years, 6 months ago by Jinsuk Kim
Modified:
2 years, 6 months ago
Reviewers:
boliu
CC:
chromium-reviews, yusukes+watch_chromium.org, shuchen+watch_chromium.org, jam, nona+watch_chromium.org, darin-cc_chromium.org, agrieve+watch_chromium.org, James Su
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Let IME frame update bypass ContentViewCore Decouples IME frame update (cursor/anchor coordinates) from ContentViewCore, hence redueces the dependency on CVC. Now RenderWidgetHostViewAndroid uses native ImeAdapter to route the frame update info directly to Java layer. BUG=662908 Review-Url: https://codereview.chromium.org/2834343005 Cr-Commit-Position: refs/heads/master@{#467257} Committed: https://chromium.googlesource.com/chromium/src/+/ea157e49338a21de6168d5d5873480d298294608

Patch Set 1 #

Total comments: 2

Patch Set 2 : comment #

Total comments: 1

Messages

Total messages: 11 (5 generated)
Jinsuk Kim
2 years, 6 months ago (2017-04-25 11:14:25 UTC) #3
boliu
https://codereview.chromium.org/2834343005/diff/1/content/browser/renderer_host/render_widget_host_view_android.cc File content/browser/renderer_host/render_widget_host_view_android.cc (right): https://codereview.chromium.org/2834343005/diff/1/content/browser/renderer_host/render_widget_host_view_android.cc#newcode1374 content/browser/renderer_host/render_widget_host_view_android.cc:1374: if (!content_view_core_ || !ime_adapter_android_) these two should be independent.. ...
2 years, 6 months ago (2017-04-25 17:18:24 UTC) #4
Jinsuk Kim
https://codereview.chromium.org/2834343005/diff/1/content/browser/renderer_host/render_widget_host_view_android.cc File content/browser/renderer_host/render_widget_host_view_android.cc (right): https://codereview.chromium.org/2834343005/diff/1/content/browser/renderer_host/render_widget_host_view_android.cc#newcode1374 content/browser/renderer_host/render_widget_host_view_android.cc:1374: if (!content_view_core_ || !ime_adapter_android_) On 2017/04/25 17:18:24, boliu wrote: ...
2 years, 6 months ago (2017-04-25 22:39:01 UTC) #5
boliu
lgtm https://codereview.chromium.org/2834343005/diff/20001/content/browser/renderer_host/render_widget_host_view_android.cc File content/browser/renderer_host/render_widget_host_view_android.cc (right): https://codereview.chromium.org/2834343005/diff/20001/content/browser/renderer_host/render_widget_host_view_android.cc#newcode1405 content/browser/renderer_host/render_widget_host_view_android.cc:1405: view_.set_content_offset(gfx::Vector2dF(0.0f, presumably all the view_ calls don't need ...
2 years, 6 months ago (2017-04-25 22:43:37 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2834343005/20001
2 years, 6 months ago (2017-04-26 06:46:15 UTC) #8
commit-bot: I haz the power
2 years, 6 months ago (2017-04-26 07:00:41 UTC) #11
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/ea157e49338a21de6168d5d58734...

Powered by Google App Engine
This is Rietveld 408576698